/********************************************************************************
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/

@import "src/styles/openk.styles";

:host {
  padding: 0.5em 1em 0.5em 1em;
  background: $openk-background-card;
}

.hidden {
  visibility: hidden;
}

.version-info-select {
  height: 2.5em;
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 0.5em;
}

.version-info-select--text {
  margin-right: 0.5em;
  font-weight: 600;
}

.version-info-select--button {
  padding: 0;
  margin-left: 0.25em;
}

.version-info-select--button--icon {
  padding: 0;
}

.version-info--user-info {
  display: flex;
  flex-direction: row;
  align-items: center;
  height: 1.5em;
  justify-content: space-between;
}

.version-info--user-info--text {
  margin-right: 1em;
}

.version-info--mode--text {
  margin-right: 0.5em;
  font-weight: 600;
}

.version-info--toggle-button {
  min-width: 12em;
  font-size: small;
}


